Jump to content


joshuamdavis

Member Since 02 Sep 2019
Offline Last Active Sep 04 2019 01:23 AM

Topics I've Started

Age of the Ring Version 4.0

03 September 2019 - 12:47 AM

Can you play Age of the Ring Version 4.0 that was just released on T3A Online?

 

If so, how?

 

When I click on Online in the main menu I keep getting the error:

"Update Available! You must download the Update to play The Lord of the Rings, The Rise of the Witch-king Online."

 

I am at BFME2 Version 1.06

I am at BFME2: Rise of the Witch King Version 2.02

Age of the Ring Version 4.0

 

Thank you for the help!

-Josh